public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcbor/
Date: Sun, 16 Feb 2020 05:57:14 +0000 (UTC)	[thread overview]
Message-ID: <1581829376.082f5e52cb9384e4e1ea2be73b5b5710cc9d99c0.chutzpah@gentoo> (raw)

commit:     082f5e52cb9384e4e1ea2be73b5b5710cc9d99c0
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 03:53:23 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 05:02:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=082f5e52

dev-libs/libcbor: New package

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-libs/libcbor/Manifest             |  1 +
 dev-libs/libcbor/libcbor-0.5.0.ebuild | 67 +++++++++++++++++++++++++++++++++++
 dev-libs/libcbor/metadata.xml         | 11 ++++++
 3 files changed, 79 insertions(+)

diff --git a/dev-libs/libcbor/Manifest b/dev-libs/libcbor/Manifest
new file mode 100644
index 00000000000..5f1048aa4eb
--- /dev/null
+++ b/dev-libs/libcbor/Manifest
@@ -0,0 +1 @@
+DIST libcbor-0.5.0.tar.gz 719348 BLAKE2B 57e15e648159e7858d9d57a8b4cb7f3682f8153248610c9a3385cf9cbdea8babaf81d596b25d44bf6d59c75de23e76cce462fa7860b294019f46636726206d5a SHA512 5c2e9610d9fbb0bfc59f89a180f70b58539a1760fd39cad696af372c164a87828a23bb4d3a54d8e9d846be5271204800f0ad63656ef830f06a0ccdd10edfdb2c

diff --git a/dev-libs/libcbor/libcbor-0.5.0.ebuild b/dev-libs/libcbor/libcbor-0.5.0.ebuild
new file mode 100644
index 00000000000..c8144619bb6
--- /dev/null
+++ b/dev-libs/libcbor/libcbor-0.5.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+inherit python-any-r1 cmake-utils
+
+DESCRIPTION="CBOR protocol implementation for C and others"
+HOMEPAGE="https://github.com/pjk/libcbor"
+SRC_URI="https://github.com/PJK/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+custom-alloc doc test"
+
+BDEPEND="
+	doc? (
+		$(python_gen_any_dep '
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/breathe[${PYTHON_USEDEP}]
+		')
+	)
+"
+
+RESTRICT="!test? ( test )"
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+python_check_deps() {
+	has_version "dev-python/sphinx[${PYTHON_USEDEP}]" && \
+		has_version "dev-python/breathe[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
+src_configure() {
+	local -a mycmakeargs=(
+		-DCMAKE_BUILD_TYPE=Release
+		-DCBOR_CUSTOM_ALLOC=$(usex custom-alloc 'ON' 'OFF')
+		-DWITH_TESTS=$(usex test 'ON' 'OFF')
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use doc; then
+		pushd doc >/dev/null || die
+		emake html man
+		popd >/dev/null || die
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	if use doc; then
+		dodoc -r doc/build/html
+		doman doc/build/man/*
+	fi
+}

diff --git a/dev-libs/libcbor/metadata.xml b/dev-libs/libcbor/metadata.xml
new file mode 100644
index 00000000000..db974170e19
--- /dev/null
+++ b/dev-libs/libcbor/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>base-system@gentoo.org</email>
+		<name>Gentoo Base System</name>
+	</maintainer>
+	<use>
+		<flag name="custom-alloc">Custom, dynamically defined allocator support</flag>
+	</use>
+</pkgmetadata>


             reply	other threads:[~2020-02-16  5:57 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-16  5:57 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-02-16  7:13 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcbor/ Georgy Yakovlev
2020-03-15 12:17 Mikle Kolyada
2020-03-17  1:41 Patrick McLean
2020-03-17  1:55 Patrick McLean
2020-03-30 17:03 Thomas Deutschmann
2020-04-04 10:52 Sergei Trofimovich
2020-04-25 19:41 Patrick McLean
2020-05-02 13:30 Mart Raudsepp
2020-05-28 18:20 Sergei Trofimovich
2020-05-31 15:17 Sergei Trofimovich
2020-05-31 19:09 Sergei Trofimovich
2020-06-01  4:16 Matt Turner
2020-07-12  1:51 Sam James
2020-09-21 17:36 Patrick McLean
2020-09-29 21:25 Sergei Trofimovich
2020-12-21 17:48 Thomas Deutschmann
2020-12-21 23:55 Sam James
2020-12-22 21:03 Sam James
2020-12-22 21:04 Sam James
2020-12-24 10:03 Agostino Sarubbo
2020-12-24 22:06 Sergei Trofimovich
2020-12-27 12:51 Sergei Trofimovich
2021-01-01  0:53 Michał Górny
2021-01-14 20:09 Sergei Trofimovich
2021-02-06 13:27 Sam James
2021-02-06 21:29 Sam James
2021-05-23 19:28 Michał Górny
2021-08-02 16:42 Marek Szuba
2021-10-02  9:08 James Le Cuirot
2021-11-26 20:52 Patrick McLean
2022-01-17  7:26 Joshua Kinard
2022-05-05 23:48 WANG Xuerui
2022-06-01  7:31 Sam James
2022-06-01  7:31 Sam James
2022-06-01  7:37 Sam James
2022-06-01  8:14 Jakov Smolić
2022-06-01  8:15 Jakov Smolić
2022-06-01  8:32 Jakov Smolić
2022-06-02  0:15 Sam James
2022-10-04 20:23 Arthur Zamarin
2023-01-05 17:14 Patrick McLean
2023-02-01  2:23 Patrick McLean
2023-03-04  5:47 Arthur Zamarin
2023-03-04  6:09 Arthur Zamarin
2023-03-04  8:18 Arthur Zamarin
2023-03-04 14:06 Arthur Zamarin
2023-05-01  0:09 Sam James
2023-05-01  0:09 Sam James
2023-05-01  0:09 Sam James
2023-05-01  0:16 Sam James
2023-05-01  2:26 Sam James
2023-05-01  2:26 Sam James
2023-05-01  6:05 Arthur Zamarin
2023-05-21  5:35 Sam James
2023-06-10 21:05 Andreas Sturmlechner
2023-11-28 16:34 Sam James
2024-04-23 22:58 Patrick McLean
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-28 12:29 Michał Górny
2024-05-28 12:44 Sam James
2024-05-28 13:19 Sam James
2024-05-28 14:03 Sam James
2024-05-28 17:01 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1581829376.082f5e52cb9384e4e1ea2be73b5b5710cc9d99c0.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox